import 'package:flutter/material.dart';

Future dialog(BuildContext cont) async {
  return showDialog(
    //barrierDismissible: false,
    context: cont,
    builder: (BuildContext context) {
      return StatefulBuilder(builder: (context, setState) {
        return AlertDialog(
            insetPadding: EdgeInsets.zero,
            shape: const RoundedRectangleBorder(
                borderRadius: BorderRadius.all(Radius.circular(10.0))),
            content: SizedBox.expand(
              child: Column(
                children: <Widget>[
                  Wrap(
                    children: <Widget>[
                      Row(
                        children: <Widget>[
                          const Expanded(
                            flex: 1,
                            child: Text(
                              "Sample type",
                              style: TextStyle(fontWeight: FontWeight.w700),
                            ),
                          ),
                          Expanded(flex: 1, child: Text("123"))
                        ],
                      ),
                    ],
                  ),
                ],
              ),
            ));
      });
    },
  );
}
